﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Remake.Engine
{
    public class Manager
    {
        public string Name { get; protected set; }
        public int BaseCredits { get; protected set; }
        public int WonCredits { get; protected set; }
    }

    public class Contestant
    {
        public string Name { get; set; }
        public int BirthYear { get; internal set; }
        public string Achievements { get; internal set; }
    }


    public class BetGroup
    {
        public string ManagerName { get; set; }
        public DateTime Date { get; set; }
        public IList<Bet> Bets { get; set; }

    }

    public class Bet
    {
        public BetAction Action { get; set; }
        public string Competition { get; set; }
        public IList<string> Contestants { get; set; }
    }

    public enum BetAction
    {
        fogad, vissza
    }

    public class Competition
    {
        public string Name { get; set; }
        public int Cost { get; set; }
        public DateTime Date { get; set; }
        public string ContestantFile { get; set; }

        public ContestantCollection Contestants { get; set; }
        public IList<string> Places { get; set; }
    }
}
