﻿using System;

namespace Remake.Engine
{
    public class PrizeCalculator
    {
        private int[] Points = new[] { 0, 7, 5, 4, 3, 2, 1 };

        public int DetermineMultiplierFromCost(int competitionCost)
        {
            if (competitionCost < 5) throw new ArgumentOutOfRangeException();
            if (competitionCost <= 15) return 50;
            if (competitionCost <= 25) return 40;
            if (competitionCost <= 35) return 30;
            if (competitionCost <= 45) return 20;
            if (competitionCost <= 60) return 10;
            throw new ArgumentOutOfRangeException();
        }
        public int DetermineMultiplier(Competition competition)
        {
            return DetermineMultiplierFromCost(competition.Cost);
        }

        public int DeterminePointsFromPlace(int place)
        {
            if (place < 1)
            {
                throw new ArgumentOutOfRangeException();
            }
            if (place >= Points.Length)
            {
                return 0;
            }
            return Points[place];
        }

        public int DeterminePrize(int cost, int place)
        {
            return DetermineMultiplierFromCost(cost) * DeterminePointsFromPlace(place);
        }

    }
}
